using System;

namespace Prepisivanje
{
    class Program
    {
        static void Main(string[] args)
        {
            int n = int.Parse(Console.ReadLine());
            int[,] xy = new int[2, n];
            int br = 0;
            for(int i=0;i<n;i++)
            {
                string[] str = Console.ReadLine().Split();
                xy[0, i] = int.Parse(str[0]);
                xy[1, i] = int.Parse(str[1]);
            }
            for(int i=0;i<n;i++)
            {
                for(int j=0;j<n-i;j++)
                {
                    if(i!=j)
                    {
                        if(xy[1, i] != 0 && xy[1, j] != 0)
                        {
                            if ((xy[0, i] / xy[1, i]) == (xy[0, j] / xy[1, j]))
                            {
                                br++;
                            }
                        }
                        else if (xy[1,i]==0 && xy[1,j]==0)
                        {
                            br++;
                        }
                    }
                }
            }
            br--;
            Console.WriteLine(br);
            Console.ReadLine();
        }
    }
}